package es.ejie.frmk.infraestructura.utilidades.mapeador;

import org.apache.commons.beanutils.ConvertingWrapDynaBean;
import org.apache.commons.beanutils.DynaBean;

/**
 * Clase que encapsula el contexto/bean inicial del mapeo
 * @author UFRM005
 * @version 1.0 
 */
public class Q70ObjetoContextoInicial {

	// variables miembro
	
	private DynaBean dynaBeanInicial = null; 
	
	// métodos de la clase
	
	/**
	 * Constructor de la clase
	 */
	public Q70ObjetoContextoInicial() {
		super();
	}
	
	/**
	 * Constructor alternativo de la clase
	 * @param  objContextoInicial Object objecto que representa el contexto inicial
	 */
	public Q70ObjetoContextoInicial(Object objContextoInicial ) {
		super();
		
		if( objContextoInicial instanceof DynaBean){
			dynaBeanInicial = (DynaBean) objContextoInicial;
		} else {
			ConvertingWrapDynaBean converDynaBean = new ConvertingWrapDynaBean(objContextoInicial);
			dynaBeanInicial = converDynaBean;
		}
		
	}

	/**
	 * Método que devuelve el contexto inicial
	 * @return dynaBeanInicial DynaBean que representa el contexto inicial
	 */
	public DynaBean getInicialDynaBean() {
		return dynaBeanInicial;
	}

}
